Skip to Content
avatar image
Former Member

Visual Studio 2015

I have an application written in C# that uses Crystal Reports to create reports. I had to upgrade the .net build target from om .net 3.5 to .net 4.6. Now I did not develop this and I am getting errors about the App Engine. I am pretty sure I need to install a more recent runtime for Visual Studio 2015.. But I am under the gun and at a loss as where to start. Any pointers tips or help would greatly be appreciated.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Feb 27, 2017 at 03:18 PM

    Hi Toren,

    Get the latest CR for VS runtime from here:

    https://wiki.scn.sap.com/wiki/display/BOBJ/Crystal+Reports%2C+Developer+for+Visual+Studio+Downloads

    SP 19 is the latest update.

    First link is to integrate into VS on you DEV PC, all other are for redist packaging only, do not install them on you DEV pc.

    Also, there have been a few reported issues with 4.6. There are differences on Windows 8.1/10 and 20xx Servers so check formatting.

    Don

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Thanks Don. So I need to install the first link on the Dev PC and the others are the redist package. Once installed on the Dev PC do I need to redo anything with the report or will a build do it all?

  • Jun 14, 2017 at 02:27 PM

    Hi Toren,

    SP 20 is now available also, use the latest always. Rebuilding shoudl resolve any upgrade problems.

    Don

    Add comment
    10|10000 characters needed characters exceeded